<?php
include_once( RAFFLE_PLAY_WOO_DIR_PATH . '/includes/RafflePlayWoo_Includes.php');
    function drp_MainPage( $settings ){
        RafflePlayWoo_Includes::rpwoo_loading_screen();
        

        $date_format = array(
            'dd-mm-yyyy',
            'dd/mm/yyyy',
            'yyyy-mm-dd',
            'yyyy/mm/dd'
        );
        $no_products = sizeof( $settings['products'] );
        $class_prod = 'border-danger';
        if( $no_products > 0 )
            $class_prod = '';
      ?>
        
        <div class='wrap'>
            <div class="container-fluid">            

                    <div class='header-messages'>
                        <?php if( $settings['terminated'] ){ ?>
                            <div class="alert alert-warning alert-dismissible fade show" role="alert">
                         
                                <strong> <?php esc_html_e('Raffle is Terminated', RAFFLE_PLAY_WOO_DOMAIN); ?> </strong>
                           
                                <button style='float: right;' type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>

                            </div>

                        <?php } ?>
                       
                    </div>
                    <?php RafflePlayWoo_Includes:: rpwoo_premium_link(); ?>
                    <input type='submit' class="button button-primary rdp_save_settings" value="<?php esc_html_e('Save', RAFFLE_PLAY_WOO_DOMAIN );?>" />  
                    <p></p>
                        <h3 style='text-align: center; position: inherit; margin-top: -50px;'><?php esc_html_e('Default Raffle', RAFFLE_PLAY_WOO_DOMAIN);?></h3>      
                        
                    <div class="row">
                        <div class="col-2">
                            <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">

                            <a class="nav-link active" id="v-pills-general-tab" data-toggle="pill" href="#v-pills-general" role="tab" aria-controls="v-pills-general" aria-selected="true">
                                <?php esc_html_e('General',  RAFFLE_PLAY_WOO_DOMAIN ); ?>
                            </a>

                            <a class="nav-link" id="v-pills-email-tab" data-toggle="pill" href="#v-pills-email" role="tab" aria-controls="v-pills-email" aria-selected="false">
                                <?php esc_html_e('Email Template',  RAFFLE_PLAY_WOO_DOMAIN ); ?>
                            </a>

                            <a class="nav-link" id="v-pills-messages-tab" data-toggle="pill" href="#v-pills-messages" role="tab" aria-controls="v-pills-messages" aria-selected="false">
                                <?php esc_html_e('User Messages',  RAFFLE_PLAY_WOO_DOMAIN ); ?>
                            </a>

                            <a class="nav-link" id="v-pills-multiple-tab" data-toggle="pill" href="#v-pills-multiple" role="tab" aria-controls="v-pills-multiple" aria-selected="false">
                                <?php esc_html_e('Multiple Raffles',  RAFFLE_PLAY_WOO_DOMAIN ); ?>
                            </a>

                            <a class="nav-link" id="v-pills-pdf-tab" data-toggle="pill" href="#v-pills-pdf" role="tab" aria-controls="v-pills-pdf" aria-selected="false">
                                <?php esc_html_e('PDF Email Attachment',  RAFFLE_PLAY_WOO_DOMAIN ); ?>
                            </a>

                            <a class="nav-link" id="v-pills-test-tab" data-toggle="pill" href="#v-pills-test" role="tab" aria-controls="v-pills-test" aria-selected="false">
                                <?php esc_html_e('Test Info',  RAFFLE_PLAY_WOO_DOMAIN ); ?>
                            </a>

                            </div>
                        </div>
                        <div class="col-9">
                            <div class="tab-content" id="v-pills-tabContent">
                                <!-- general tab -->
                                <div class="tab-pane fade show active" id="v-pills-general" role="tabpanel" aria-labelledby="v-pills-general-tab">                               
                                
                                    <?php if( ! $settings['db_health']  ){ 
                                        
                                        ?>
                                        <div class='row bmp-set-row' >
                                            <div class="col-sm-5" style='display: inline-block; color: red; font-weight: 800'> 
                                                <?php esc_html_e('There are issues with the DB Tables', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                            </div>
                                        
                                            <div class="col-sm-7" style='display: inline-block'>                               
                                                <input type="button" id='rpwoo_db_health' class='button button-primary'  value="<?php esc_html_e('Run Fix', RAFFLE_PLAY_WOO_DOMAIN);?>" />
                                            </div>
                                        </div>

                                    <?php } ?>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5" style='display: inline-block'> 
                                            <label for="rdp_live_raffle"> <?php esc_html_e('Raffle Name', RAFFLE_PLAY_WOO_DOMAIN );?> </label>
                                        </div>
                                    
                                        <div class="col-sm-7" style=''>                               
                                            <input type="text"  value="<?php esc_html_e( $settings['raffle_name']);?>" id='rpwoo_raffle_name' />       
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5" style='display: inline-block'> 
                                            <label for="rdp_live_raffle"> <?php esc_html_e('Raffle Status', RAFFLE_PLAY_WOO_DOMAIN );?> </label>
                                        </div>
                                    
                                        <div class="col-sm-7" style=''>                               
                                            <input type="checkbox"  data-toggle="toggle" data-size='small' <?php if( $settings['live_raffle']) echo "checked";?> id='rdp_life_raffle'
                                            data-on="<?php esc_html_e('Live', RAFFLE_PLAY_WOO_DOMAIN);?>" disabled data-off="<?php esc_html_e('Test', RAFFLE_PLAY_WOO_DOMAIN);?>" />       
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?>
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " style='display: inline-block'> 
                                             <?php esc_html_e('Terminate Raffle Now', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                            <span data-toggle='tooltip' 
                                                title="<?php esc_html_e('No raffle products will be available at checkout while disabled.', RAFFLE_PLAY_WOO_DOMAIN ); ?>" > 
                                                <i class="fa fa-info-circle text-info"></i> 

                                            </span>
                                        </div>
                                    
                                        <div class="col-sm-7" style=''>                               
                                            <input type="checkbox" disabled data-toggle="toggle" data-size='small' id='rdp_terminate_raffle'
                                                data-on="<?php esc_html_e('Yes', RAFFLE_PLAY_WOO_DOMAIN);?>"  data-off="<?php esc_html_e('No', RAFFLE_PLAY_WOO_DOMAIN);?>" 
                                                <?php if( $settings['terminated'] ) echo 'checked'; ?>
                                            />  
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?>     
                                        </div>
                                    </div>

                                    
                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5" style='display: inline-block'> 
                                            <?php esc_html_e('Live Ticket Starts At', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                        <div class="col-sm-7" style='display: inline-block'> 
                                                <input  type="text"  name="rdp_ticket_start_count_at" class='' value="<?php echo esc_html( $settings['ticket_count_starts_at'] );?>"
                                                        id="rdp_ticket_start_count_at" placeholder="" />

                                                        <span data-toggle='tooltip' 
                                                title="<?php esc_html_e('If changing the ticket no while raffle is running, make sure is above the last used ticket.', RAFFLE_PLAY_WOO_DOMAIN ); ?>" > 
                                                <i class="fa fa-info-circle text-info"></i> 

                                            </span>
                                                    
                                        </div>
                                    </div>
                                    
                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " style='display: inline-block'> 
                                            <?php esc_html_e('Limit Number or Raffle Tickets', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" style='display: inline-block; margin-top: 3px'>   
                                            <label for="radio_limit_raffle_yes">                            
                                                <input type='radio' disabled <?php if( $settings['is_limited'] ) echo 'checked'; ?>  id='radio_limit_raffle_yes' name='radio_limit_raffle' /> 
                                                <?php esc_html_e('Yes', RAFFLE_PLAY_WOO_DOMAIN ); ?>                                      
                                            </label>
                                            <input type="number" disabled   id="limit_raffle_no_tickets" min='1'  value="<?php echo esc_html( $settings['limit_no'] ); ?>" />
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?>  
                                            <br />
                                            <label for="radio_limit_raffle_no">
                                                <input type='radio' disabled <?php if( ! $settings['is_limited'] ) echo 'checked'; ?>  id='radio_limit_raffle_no' name='radio_limit_raffle' /> 
                                                    <?php esc_html_e('No', RAFFLE_PLAY_WOO_DOMAIN ); ?>                                                     
                                            </label>
                                           
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " style='display: inline-block'> 
                                            <?php esc_html_e('Ticket Prefix', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                            <span data-toggle='tooltip'
                                                title="<?php esc_html_e('Leave empty if no prefix wanted. (eg: Ticket-10024)', RAFFLE_PLAY_WOO_DOMAIN ); ?>"> 
                                            <i class="fa fa-info-circle text-info"></i> </span>
                                        </div>
                                    
                                        <div class="col-sm-7" style='display: inline-block'>                               
                                            <input type="text" placeholder="<?php esc_html_e('Max 15 alpha-numeric', RAFFLE_PLAY_WOO_DOMAIN );?>"  id="rpwoo_ticket_prefix" 
                                             value="<?php echo stripslashes( esc_html( $settings['ticket_prefix'] )); ?>" />                                    
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " style='display: inline-block'> 
                                            <?php esc_html_e('Raffle Start Date Time', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" style='display: inline-block'>                               
                                            <input type="text" disabled placeholder='dd-mm-yyyy' id="rpwoo_start_date"  value="<?php echo $settings['start_date']; ?>" />   
                                            <input type="text" disabled placeholder='hh:mm' class='clockpicker_main' id="rpwoo_start_time"  value="<?php echo $settings['start_time']; ?>" />                                  
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?>  
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " style='display: inline-block'> 
                                            <?php esc_html_e('Raffle End Date Time', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" style='display: inline-block'>                               
                                            <input type="text" disabled  placeholder='dd-mm-yyyy' id="rpwoo_end_date"  value="<?php echo $settings['end_date']; ?>" />    
                                            <input type="text" disabled class='clockpicker_main'  placeholder='hh:mm' id="rpwoo_end_time"  value="<?php echo $settings['end_time']; ?>" />                                    
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?>  
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " style='display: inline-block'> 
                                            <?php esc_html_e('Last Live Used Ticket', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" style='display: inline-block'>                               
                                            <input type="number" id="liveLastTicketNo" readonly value="<?php echo $settings['live_last_ticket']; ?>" />
                                        </div>
                                    </div>


                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " style='display: inline-block'> 
                                            <?php esc_html_e('Live Raffle Tickets Purchased', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" style='display: inline-block'>                               
                                            <input type="number" id="liveTicketsPurchased" readonly value="<?php echo $settings['live_tickets_purchased']; ?>" />
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " style='display: inline-block'> 
                                            <?php esc_html_e('Terminate Raffle on Buy Out Product', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                            <span data-toggle='tooltip'
                                                title="<?php esc_html_e('The raffle will be set to terminated if the "Buyout Product" is sold (out of stock). Terminate raffle by selling one non raffle product', RAFFLE_PLAY_WOO_DOMAIN ); ?>"> 
                                            <i class="fa fa-info-circle text-info"></i> </span>
                                        </div>
                                    
                                        <div class="col-sm-7" style=''>                               
                                            <input type="checkbox"  data-toggle="toggle" data-size='small' id='rdp_enable_buy_product'
                                                data-on="<?php esc_html_e('Yes', RAFFLE_PLAY_WOO_DOMAIN);?>"  data-off="<?php esc_html_e('No', RAFFLE_PLAY_WOO_DOMAIN);?>"                                             
                                            /> 
                                            <?php esc_html_e('Buy Out Product ', RAFFLE_PLAY_WOO_DOMAIN );?>  
                                            <select name="" id=""> 
                                                <option value=""> <?php esc_html_e('Dummy - Non Raffle Product', RAFFLE_PLAY_WOO_DOMAIN );?> </option>    
                                            </select>
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?>  
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " style='display: inline-block'> 
                                            <?php esc_html_e('Raffle Products', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" style='display: inline-block'>                               
                                            <input type="text"  class="<?php echo $class_prod;?>"  style="width: 100%;" id="raffle_products" readonly value="<?php 
                                                if( $no_products == 0 )
                                                    esc_html_e('Default Raffle has no products', RAFFLE_PLAY_WOO_DOMAIN );
                                                else
                                                    echo implode( ', ', $settings['products'] ); 
                                            
                                            ?>" />
                                        
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " style='display: inline-block'> 
                                            <?php esc_html_e('Ignore Orders at Checkout', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                            <span data-toggle='tooltip' 
                                                title="<?php esc_html_e('It wont affect the order, raffle tickets won\'t be created', RAFFLE_PLAY_WOO_DOMAIN ); ?>"> 
                                            <i class="fa fa-info-circle text-info"></i> </span>
                                        </div>
                                    
                                        <div id='order_status_div' class="col-sm-7" style='display: inline-block'>   
                                            <label 
                                                    title="<?php esc_html_e('Payment failed or was declined (unpaid)', RAFFLE_PLAY_WOO_DOMAIN ); ?>">                            
                                                <input type="checkbox" checked  disabled id="rpwoo_checkout_order_failed"   /> <?php esc_html_e('Failed', RAFFLE_PLAY_WOO_DOMAIN );?>                                                                        
                                            </label>

                                            <label 
                                                    title="<?php esc_html_e('Cancelled by an admin or the customer – no further action required', RAFFLE_PLAY_WOO_DOMAIN ); ?>"">                            
                                                <input type="checkbox" checked disabled id="rpwoo_checkout_order_cancelled" /> <?php esc_html_e('Cancelled', RAFFLE_PLAY_WOO_DOMAIN );?>                                                                        
                                            </label>
                                           
                                            <span > 
                                                <i data-toggle='tooltip' 
                                                    title='<?php esc_html_e('At Checkout, do not assign raffle tickets to following orders', RAFFLE_PLAY_WOO_DOMAIN ); ?>' class="fa fa-info-circle text-info">
                                                </i> 
                                            </span>                                                                       

                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " style='display: inline-block'> 
                                            <?php esc_html_e('Raffle Duplicate Tickets', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                            <span data-toggle='tooltip' 
                                                title='<?php esc_html_e('Two customers buying raffle products at the same time, might cause the db to overlap the orders, and create duplicate tickets. Chances are minimal. But the system will spot any malfunctions ', RAFFLE_PLAY_WOO_DOMAIN ); ?>'> 
                                            <i class="fa fa-info-circle text-info"></i> </span>
                                        </div>
                                        
                                        <div id='div_issue_block' class="col-sm-7" style='display: inline-block'>    
                                            <?php if( sizeof( $settings['health'] ) > 0 ) echo '<h4 id="issue_header">' . esc_html('Duplicate tickets found', RAFFLE_PLAY_WOO_DOMAIN) . '</h4>'; ?>
                                            <div name="" id='div_raffle_issues' style='min-width: 150px; max-height: 200px; overflow-y: auto; min-height: 30px; border-radius: 5px;
                                                    <?php if( sizeof( $settings['health'] ) > 0 ) echo "border: 1px solid red;";else echo "border: 1px solid gray;"; ?>' id="" readonly>
                                                <?php   if( sizeof( $settings['health'] ) > 0 ){                                                   
                                                            echo implode(' ', $settings['health'] );
                                                        }else  esc_html_e('No issues found!', RAFFLE_PLAY_WOO_DOMAIN ); ?>
                                            </div>        

                                        </div>
                                    </div>

                                </div>

                                <!-- end of general tab -->

                                <!-- email -->
                                <div class="tab-pane fade" id="v-pills-email" role="tabpanel" aria-labelledby="v-pills-email-tab">
                                                                   
                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " style='display: inline-block'> 
                                            <?php esc_html_e('Header Text', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" style='display: inline-block'>                               
                                            <input type="text"   id="rpwoo_email_header_lbl" 
                                               value="<?php echo  stripslashes( esc_html( $settings['email_header_lbl'] )); ?>"
                                               placeholder="<?php esc_html_e('Raffle Tickets Info', RAFFLE_PLAY_WOO_DOMAIN); ?>"
                                            />                                                                         
                                            
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " style='display: inline-block'> 
                                            <?php esc_html_e('Include Raffle Name', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" style=''>                               
                                            <input type="checkbox"  disabled data-toggle="toggle" data-size='small' <?php if( $settings['inc_raffle_name']) echo "checked";?> id='rpwoo_inc_name'
                                            data-on="<?php esc_html_e('Yes', RAFFLE_PLAY_WOO_DOMAIN);?>"  data-off="<?php esc_html_e('No', RAFFLE_PLAY_WOO_DOMAIN);?>" />  
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?>     
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " style='display: inline-block'> 
                                            <?php esc_html_e('Body Tickets', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" style='display: inline-block'>                               
                                            <input type="text"  id="rpwoo_email_body_lbl" 
                                             value="<?php echo stripslashes( esc_html( $settings['email_body_lbl'] )); ?>" 
                                             placeholder="<?php esc_html_e('Tickets Purchased', RAFFLE_PLAY_WOO_DOMAIN); ?>" 
                                            />                                                                         
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " style='display: inline-block'> 
                                            <?php esc_html_e('Extra Line Info', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                            <span data-toggle='tooltip' 
                                                title='<?php esc_html_e('Extra info about raffle displayed on next table row. Leave empty to skip. Eg: Raffle draw is on 25th of June 2021. Good Luck!', RAFFLE_PLAY_WOO_DOMAIN ); ?>'> 
                                            <i class="fa fa-info-circle text-info"></i> </span>
                                            
                                        </div>
                                    
                                        <div class="col-sm-7" style='display: inline-block'>                               
                                            <input type="text" style='width: 95% !important;'  disabled placeholder="<?php stripslashes( esc_html_e('Eg: Raffle draw is on 25th of June 2021',RAFFLE_PLAY_WOO_DOMAIN)); ?>"
                                            id="rpwoo_email_body_extra_txt"  value="<?php echo $settings['email_extra'];?>" />                                                                         
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?>  
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " style='display: inline-block'> 
                                            <?php esc_html_e('Ticket Info Position', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" style='display: inline-block'>                               
                                        <label for="rpwoo_email_pos_one">
                                            <input type="radio" disabled <?php if( $settings['email_pos'] == '1') echo 'checked'; ?>  id="rpwoo_email_pos_one" name='rpwoo_email_data_pos'  value="1" />  
                                            <?php esc_html_e('Before Order Info', RAFFLE_PLAY_WOO_DOMAIN ); ?>    
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?>                                                                     
                                        </label>
                                            <br/>
                                        <label for="rpwoo_email_pos_two">
                                            <input type="radio" <?php if( $settings['email_pos'] == '2') echo 'checked'; ?>  id="rpwoo_email_pos_two" name='rpwoo_email_data_pos'  value="2" /> 
                                            <?php esc_html_e('Between Order Info and Billing Address', RAFFLE_PLAY_WOO_DOMAIN ); ?>                                                                          
                                        </label>
                                            <br/>
                                        <label for="rpwoo_email_pos_three">
                                            <input type="radio" disabled <?php if( $settings['email_pos'] == '3') echo 'checked'; ?>  id="rpwoo_email_pos_three" name='rpwoo_email_data_pos'  value="3" />  
                                            <?php esc_html_e('After Billing Address', RAFFLE_PLAY_WOO_DOMAIN ); ?>  
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?>                                                                         
                                        </label>
                                        </div>
                                    </div>
                            
                                </div>

                                <!-- end of email -->

                                <!-- messages -->
                                <div class="tab-pane fade" id="v-pills-messages" role="tabpanel" aria-labelledby="v-pills-messages-tab">  
                                                                
                                                       
                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " > 
                                        
                                        </div>
                                    
                                        <div class="col-sm-7" style='color:red; font-weight: 500' >                               
                                           ( <?php esc_html_e("%s - 2, 3 uses date replacer; %d - 5, 6 uses numeric replacer; If deleted won't replace the values") ?>)
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " > 
                                            <?php esc_html_e('Messages Shortcode', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" >                               
                                            <input type="text" style='min-width: 205px;' readonly id="msg_shortcode"  value="<?php echo $settings['msg_shortcode']; ?>" />
                                            <?php esc_html_e("To show raffle name add (show_raffle_name='1') in the shortcode", RAFFLE_PLAY_WOO_DOMAIN );?> 
                                             <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?>    
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " > 
                                           1. <?php esc_html_e('Raffle is Terminated', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" >                               
                                            <input type="text" disabled style='width: 95% !important;' id="msg_terminate"  value="<?php echo '';?>" 
                                            placeholder="<?php esc_html_e('(Your Message) The raffle has finished', RAFFLE_PLAY_WOO_DOMAIN );?>"
                                            />
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?>    
                                        </div>
                                    </div>
                                    
                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " > 
                                           2. <?php esc_html_e("Raffle hasn't started (start date - %s)", RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" >                               
                                            <input type="text" disabled style='width: 95% !important;' id="msg_startdate"  value="<?php echo ''; ?>" 
                                              placeholder="<?php esc_html_e('(Your Message) The raffle will start on %s', RAFFLE_PLAY_WOO_DOMAIN); ?>"
                                            />
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?> 
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " > 
                                           3. <?php esc_html_e('Raffle has ended (end date - %s)', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" >                               
                                            <input type="text" disabled style='width: 95% !important;' id="msg_enddate"  value="<?php echo ''; ?>" 
                                            placeholder="<?php esc_html_e('(Your Message) The raffle has finished on %s', RAFFLE_PLAY_WOO_DOMAIN ); ?>"
                                            />
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?> 
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " > 
                                           4. <?php esc_html_e('Raffle will end (end date - %s)', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" >                               
                                            <input type="text" disabled style='width: 95% !important;' id="msg_will_enddate"  value="<?php echo $settings['msg_will_enddate']; ?>" 
                                            placeholder="<?php esc_html_e('(Your Message) The raffle will end on %s', RAFFLE_PLAY_WOO_DOMAIN ); ?>"
                                            />
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?> 
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " > 
                                           5. <?php esc_html_e('Add To Cart (limit on - no tickets left)', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" >                               
                                            <input type="text" disabled style='width: 95% !important;' id="msg_add_to_cart"  value="<?php echo''; ?>" 
                                            placeholder="<?php esc_html_e('(Your Message) All raffle tickets have been sold', RAFFLE_PLAY_WOO_DOMAIN); ?>"
                                            />
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?> 
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " > 
                                           6.  <?php esc_html_e('Add To Cart (limit on - exceeding tickets - %d)', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" >                               
                                            <input type="text" disabled style='width: 95% !important;' id="msg_add_to_cart_ex" 
                                            placeholder="<?php esc_html_e('(Your Message) There are only %d tickets left', RAFFLE_PLAY_WOO_DOMAIN) ?>" 
                                                 value="<?php echo ''; ?>" />
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?> 
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " > 
                                           7. <?php esc_html_e('Update Cart (limit on - exceeding tickets - %d)', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" >                               
                                            <input type="text" disabled id="msg_update_cart_ex"  style='width: 95% !important;'
                                                placeholder="<?php esc_html_e('(Your Message) There are only %d tickets left', RAFFLE_PLAY_WOO_DOMAIN) ?>" 
                                                 value="<?php echo ''; ?>" />
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?> 
                                        </div>
                                    </div>

                                    
                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " > 
                                            <?php esc_html_e('Show Tickets Number with Raffle image in background (Thank you Page / Email )', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                            <span data-toggle='tooltip' 
                                                title="<?php esc_html_e('Raffle image will be placed in the background of the ticket number. Custom images can be used, or customized in the template', RAFFLE_PLAY_WOO_DOMAIN ); ?>" > 
                                                <i class="fa fa-info-circle text-info"></i> 

                                            </span>
                                        </div>
                                                                         
                                        <div class="col-sm-7" >                               
                                            <input type="checkbox" id="show_ticket_image" data-toggle='toggle' data-on="<?php esc_html_e('Yes', RAFFLE_PLAY_WOO_DOMAIN);?>" 
                                            data-off="<?php esc_html_e('No', RAFFLE_PLAY_WOO_DOMAIN);?>"  data-size='small'/>
                                        </div>

                                    </div>
                                  
                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " style='display: inline-block'> 
                                            <?php esc_html_e('Raffle Tickets Images', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>                                    
                                    
                                        <div class="col-sm-7" style='display: inline-block; padding-left: 40px;'>  
                                            <select name="select_ticket_image" id="select_ticket_image">
                                                <option value="blue"  ><?php esc_html_e('Blue', RAFFLE_PLAY_WOO_DOMAIN ); ?> </option>
                                                <option value="gold-one"  ><?php esc_html_e('Gold', RAFFLE_PLAY_WOO_DOMAIN ); ?> </option>
                                                <option value="gold-two"  ><?php esc_html_e('Gold Lines', RAFFLE_PLAY_WOO_DOMAIN ); ?> </option>
                                                <option value="gray"  ><?php esc_html_e('Gray', RAFFLE_PLAY_WOO_DOMAIN ); ?> </option>
                                                <option value="orange" ><?php esc_html_e('Orange', RAFFLE_PLAY_WOO_DOMAIN ); ?> </option>
                                                <option value="purple"  ><?php esc_html_e('Purple', RAFFLE_PLAY_WOO_DOMAIN ); ?> </option>
                                                <option value="red"  ><?php esc_html_e('Red', RAFFLE_PLAY_WOO_DOMAIN ); ?> </option>
                                                <option value="custom"  ><?php esc_html_e('Custom', RAFFLE_PLAY_WOO_DOMAIN ); ?> </option>                                                
                                            </select>
                                            <img id='ticket_img_show' src="" style='width: 80px;' alt="">

                                            <div class='row bmp-set-row' style='margin-top: 12px' >
                                            
                                                <div class="col-sm-12 div-custom-ticket-img" style='display: none' >  
                                                    <button class='button button-primary' id='load_ticket_img' style='display: inline; height: 34px;' >
                                                    <?php esc_html_e('Library', RAFFLE_PLAY_WOO_DOMAIN ); ?></button>                             
                                                    <div style='display: inline;'>
                                                        <input type="text" id="ticket_image_url"  style='width:80%' style='display: inline;'
                                                        placeholder="https://yourdomain.com/images/raffle-ticket-image.png"
                                                        value="" />
                                                    </div>
                                                </div>
                                            </div>
      
                                        </div>
                                    </div>



                                </div>
                                <!-- end of messages -->

                                <!-- multiple-->
                                <div class="tab-pane fade" id="v-pills-multiple" role="tabpanel" aria-labelledby="v-pills-multiple-tab">                                 
                            
                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " > 
                                            <?php esc_html_e('One Raffle tickets at checkout.', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                            <span data-toggle='tooltip' 
                                                title="<?php esc_html_e('Limit order per raffle tickets. Avoid mixing raffle tickets per order. The check is made on add to cart event.', RAFFLE_PLAY_WOO_DOMAIN ); ?>" > 
                                                <i class="fa fa-info-circle text-info"></i> 

                                            </span>
                                        </div>
                                    
                                        <div class="col-sm-7" >                               
                                            <input type="checkbox" id="limit_order_per_raffle" disabled data-toggle='toggle' data-on="<?php esc_html_e('Yes', RAFFLE_PLAY_WOO_DOMAIN);?>" 
                                            data-on="<?php esc_html_e('Yes', RAFFLE_PLAY_WOO_DOMAIN);?>" <?php if($settings['limit_order_per_raffle'] ) echo 'checked'; ?> data-size='small'/>
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?>
                                            <br/>
                                            <input disabled style='margin-top: 3px; width: 95%;' id='limit_order_per_raffle_txt' type="text" 
                                            placeholder="(Your Message) Only One raffle tickets allowed per order" id="" data-toggle='toggle'
                                            value="<?php echo $settings['limit_order_per_raffle_txt'];?>" />
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?>
                                        </div>
                                    </div>
                                    

                                </div>
                                <!-- end of multiple -->

                                <!-- pdf attachment settings -->
                                <div class="tab-pane fade" id="v-pills-pdf" role="tabpanel" aria-labelledby="v-pills-pdf-tab">                                 

                                
                                <div class='row bmp-set-row' >
                                    <div class="col-sm-5 " > 
                                    <h5> <?php _e('Works only with PHP version 7.1, and above', RAFFLE_PLAY_WOO_DOMAIN);?> </h5>
                                        <?php

                                            if( version_compare( phpversion(), '7.1' ) < 0 ){
                                                echo "<p style='color:red;'> ";
                                                esc_html_e( 'Your PHP version is less than 7.1, therefore this feature wont work' , RAFFLE_PLAY_WOO_DOMAIN );
                                                echo "</p>";
                                            }
                                        ?>
                                    
                                    </div>

                                    <div class="col-sm-7" >                               
                                        <?php
                                            $link_documentation = sprintf( __("View PDF Attachment Documentation %s "), "<a href='https://tuskcode.com/raffle-play-woo/raffle-play-woo-premium/' target='_blank'> HERE </a>");    
                                            _e( $link_documentation );
                                        ?>
                                    </div>
                                </div>

                                <div class='row bmp-set-row' >
                                    <div class="col-sm-5 " > 
                                        <?php esc_html_e('Enable PDF Email Attachment', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        <span data-toggle='tooltip' 
                                            title="<?php esc_html_e('Create a pdf attachment with the raffle info. Attached to the email', RAFFLE_PLAY_WOO_DOMAIN ); ?>" > 
                                            <i class="fa fa-info-circle text-info"></i> 
                                            
                                        </span>
                                        <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?> 
                                    </div>

                                    <div class="col-sm-7" >                               
                                        <input type="checkbox" id="enable_pdf_att" data-toggle='toggle'
                                        <?php if( version_compare( phpversion(), '7.1' ) < 0 ){ echo "disabled"; } ?>
                                        data-on="<?php esc_html_e('Yes', RAFFLE_PLAY_WOO_DOMAIN);?>" 
                                        data-off="<?php esc_html_e('No', RAFFLE_PLAY_WOO_DOMAIN);?>"  data-size='small'/>
                                        <span> <i><?php esc_html_e('(PDFs are only generated for processing, invoice, and completed orders)', RAFFLE_PLAY_WOO_DOMAIN );?></i></span>
                                    </div>
                                </div>

                                <div class='row bmp-set-row' style='display: none;' >
                                    <div class="col-sm-5 " > 
                                        <?php esc_html_e('Restrict attachment only for Orders with: ', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        <span data-toggle='tooltip' 
                                            title="<?php esc_html_e('Restrict attachement only for Order with raffle products, or let all orders to have pdf attachment', RAFFLE_PLAY_WOO_DOMAIN ); ?>" > 
                                            <i class="fa fa-info-circle text-info"></i> 

                                        </span>
                                    </div>

                                    <div class="col-sm-7" >                               
                                        <input type="checkbox" id="pdf_restrict" data-toggle='toggle'                                         
                                        data-on="<?php esc_html_e('Raffle', RAFFLE_PLAY_WOO_DOMAIN);?>" 
                                        data-off="<?php esc_html_e('No Restrict', RAFFLE_PLAY_WOO_DOMAIN);?>"  
                                        data-size='small' data-width='110' />

                                    </div>
                                </div>

                                <div class='row bmp-set-row' >
                                    <div class="col-sm-5" > 
                                        <?php esc_html_e('PDF Filename', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?> 
                                    </div>

                                    <div class="col-sm-7" >                               
                                        <p>
                                            <label for="pdf_filename_guid">
                                                <input type="radio" id="pdf_filename_guid" name='pdf_filename_name'
                                                checked />
                                                <?php _e('Order Id + GUID (eg: 5_ADFE2345ADEFEF-42ADFG-34TERE.pdf) ***RECOMMENDED***', RAFFLE_PLAY_WOO_DOMAIN ); ?>
                                            </label>
                                        </p>

                                        <p>
                                            <label for="pdf_filename_name">
                                                <input type="radio" id="pdf_filename_name"  name='pdf_filename_name'
                                                />
                                                <?php _e('Order Id + Customer First Name + Customer Last Name (eg: 5_John_Silva.pdf)', RAFFLE_PLAY_WOO_DOMAIN ); ?>
                                            </label>
                                        </p>

                                    </div>                                     
                                </div>

                                <div class='row bmp-set-row' >
                                    <div class="col-sm-5 " > 
                                        <?php esc_html_e('PDF Template', RAFFLE_PLAY_WOO_DOMAIN );?>
                                        <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?> 
                                    </div>

                                    <div class="col-sm-7" >                                                               
                                        <select name="pdf_template" id="pdf_template">                                           
                                            <option value="one" selected='selected' ><?php _e('One', RAFFLE_PLAY_WOO_DOMAIN);?> </option>
                                            <option value="two"> <?php _e('Two', RAFFLE_PLAY_WOO_DOMAIN);?> </option>
                                        
                                        </select>
                                        <i> <b> <?php _e('(can be found and edited (styled) under plugin folder /includes/templates )', RAFFLE_PLAY_WOO_DOMAIN );?> </b> </i> 
                                    </div>
                                </div>

                                <div class='row bmp-set-row' >
                                    <div class="col-sm-5 " > 
                                        <?php esc_html_e('Include Product Name & Quantity', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?> 
                                    </div>

                                    <div class="col-sm-7" >                               
                                        <input type="checkbox" id="pdf_inc_prod" data-toggle='toggle' data-on="<?php esc_html_e('Yes', RAFFLE_PLAY_WOO_DOMAIN);?>" 
                                        data-off="<?php esc_html_e('No', RAFFLE_PLAY_WOO_DOMAIN);?>" data-size='small'/>
                                    </div>
                                </div>

                                <div class='row bmp-set-row' >
                                    <div class="col-sm-5 " > 
                                        <?php esc_html_e('Include Billing Info', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?> 
                                    </div>

                                    <div class="col-sm-7" >                               
                                        <input type="checkbox" id="pdf_inc_add" data-toggle='toggle' data-on="<?php esc_html_e('Yes', RAFFLE_PLAY_WOO_DOMAIN);?>" 
                                        data-off="<?php esc_html_e('No', RAFFLE_PLAY_WOO_DOMAIN);?>" data-size='small'/>
                                    </div>
                                </div>


                                <div class='row bmp-set-row' >
                                    <div class="col-sm-5" > 
                                        <?php esc_html_e('Page Orientation', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?> 
                                    </div>

                                    <div class="col-sm-7" >                               
                                        <p>
                                            <label for="pdf_ori_port">
                                                <input type="radio" id="pdf_ori_port" name='pdf_orientation'
                                                />
                                                <?php _e('Portrait', RAFFLE_PLAY_WOO_DOMAIN ); ?>
                                            </label>
                                        </p>

                                        <p>
                                            <label for="pdf_ori_land">
                                                <input type="radio" id="pdf_ori_land"  name='pdf_orientation'
                                                 />
                                                <?php _e('Landscape', RAFFLE_PLAY_WOO_DOMAIN ); ?>
                                            </label>
                                        </p>

                                    </div>                                     
                                </div>


                                <div class='row bmp-set-row' >
                                    <div class="col-sm-5 " > 
                                        <?php esc_html_e('Header Logo Image (only .jpeg)', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?> 
                                    </div>

                                    <div class="col-sm-7" >  
                                        <button class='button button-primary' id='pdf_load_img' style='display: inline; height: 34px;' ><?php esc_html_e('Library', RAFFLE_PLAY_WOO_DOMAIN ); ?></button>                             
                                        <div style='display: inline;'>
                                            <input type="text" id="pdf_header_image"  style='width:80%' style='display: inline;'
                                            placeholder="https://yourdomain.com/images/header-image.jpeg"
                                             />
                                        </div>
                                    </div>
                                </div>

                                <?php 
                                    $settings['pdf_business_info'] = 'empty';
                                    $settings['pdf_footer_info'] = 'empty';
                                    $settings['pdf_extra_css'] = 'empty';

                                    $company_info = $settings['pdf_business_info'];
                                    $footer_info  = $settings['pdf_footer_info'];
                                    $pdf_extra_css = $settings['pdf_extra_css'];

                                    if( $company_info == 'empty' ){       
                                        $company_data = array(
                                            "<div>",
                                            "<h3> My Company / Shop Name </h3>",
                                            "<p>44, Midlands Street </p>",
                                            "<p>County Neverland  </p>",
                                            "<p>Company Number:  2332425  </p>",
                                            "<p>Vat Number: A3453345 </p> ",
                                            "<p>Email: shoe@shine.com </p>",
                                            "</div>"

                                        );    

                                        $company_info = implode('br_nl', $company_data );
                                    }

                                    if( $footer_info == 'empty'){
                                        $footer_data = array(
                                            "<div style='text-align: center;'>",
                                            "<p> <strong> Copyright @%year% Company Name. All Rights Reserved</strong> </p>",                            
                                            "</div>"
                                        );

                                    $footer_info = implode('br_nl', $footer_data );
                                    }

                                    if( $pdf_extra_css == 'empty'){
                                        $pdf_extra_css_data = array(
                                            ".main h3{",
                                                "font-size: 15px;    /* comment: header info */",
                                            "}",
                                            ".main p, .billing-info-data{   /* comment: table data */",
                                                "font-size: 13px;",
                                            "}",                                        
                                            "table th, .raffle-info-header{   /* comment: table header */ ",
                                                "font-size: 15px !important;",
                                            "}",                                        
                                            "table td{    /*comment: table data */",
                                                "font-size: 13px !important;",
                                            "}",
                                            ".header-business-info p{   /* comment: business info paragraphs */",                        
                                                "font-size: 12px;",
                                            "}"                                
                                        );
                                        $pdf_extra_css = implode('br_nl', $pdf_extra_css_data );
                                    }

                                    $company_info = str_replace("br_nl", "\n", $company_info );
                                    $footer_info = str_replace("br_nl", "\n", $footer_info );
                                    $pdf_extra_css = str_replace("br_nl", "\n",  $pdf_extra_css );

                                ?>

                                <div class='row bmp-set-row' >
                                    <div class="col-sm-5 " > 
                                        <?php esc_html_e('Business Info Header (html)', RAFFLE_PLAY_WOO_DOMAIN );?> <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?> 
                                        <p class='text-danger'> <?php esc_html_e('Be aware: inproper html manipulation will break the pdf file');?></p>
                                        
                                    </div>

                                    <div class="col-sm-7" >  
                                    
                                        <textarea 
                                            autocomplete='false' autocorrect='false' autocapitalize='false' spellcheck='false'
                                            class="form-control" id="pdf_business_info" cols="30" rows="6"><?php echo( $company_info );?></textarea>
                                    </div>
                                </div>

                                <div class='row bmp-set-row' >
                                    <div class="col-sm-5 " > 
                                        <?php esc_html_e('Extra Info Footer (html)', RAFFLE_PLAY_WOO_DOMAIN );?>   <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?> 
                                        <p class='text-danger'> <?php esc_html_e('Be aware: inproper html manipulation will break the pdf file');?></p>
                                       
                                    </div>

                                    <div class="col-sm-7" >  
                                        <textarea 
                                            autocomplete='false' autocorrect='false' autocapitalize='false' spellcheck='false'
                                            class="form-control" id="pdf_footer_info" cols="30" rows="6"><?php echo $footer_info;?> </textarea>
                                    </div>
                                </div>

                                <div class='row bmp-set-row' >
                                    <div class="col-sm-5 " > 
                                        <?php esc_html_e('Footer Height (px)', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?> 
                                    </div>

                                    <div class="col-sm-7" >  
                                        <input type="number" name="" style='width: 100px;' value="50"  min=0 id="pdf_footer_height" />px
                                    </div>
                                </div>

                                <div class='row bmp-set-row' >
                                    <div class="col-sm-5 " > 
                                        <?php esc_html_e('Extra Style (CSS)', RAFFLE_PLAY_WOO_DOMAIN );?>      <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?> 
                                        <p class='text-danger'> <?php esc_html_e('Be aware: inproper css manipulation will break the pdf file');?></p>
                                    
                                    </div>

                                    <div class="col-sm-7" >  
                                        <textarea 
                                            autocomplete='false' autocorrect='false' autocapitalize='false' spellcheck='false'
                                            class="form-control" id="pdf_extra_css" cols="30" rows="6"><?php echo $pdf_extra_css;?> </textarea>
                                    </div>
                                </div>
                                                            
                                </div>
                                <!-- end of pdf attachment settings -->

                                
                                <!-- test-->
                                <div class="tab-pane fade" id="v-pills-test" role="tabpanel" aria-labelledby="v-pills-test-tab">                                 
                            
                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " > 
                                            <?php esc_html_e('Test Ticket Starts At', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" >                               
                                            <input type="number" id="" readonly value="<?php echo $settings['test_start_ticket']; ?>" />
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?>
                                        </div>
                                    </div>
                                    
                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " > 
                                            <?php esc_html_e('Last Test Ticket', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" >                               
                                            <input type="number" id="" readonly value="<?php echo $settings['test_last_ticket']; ?>" />
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?>
                                        </div>
                                    </div>

                                    <div class='row bmp-set-row' >
                                        <div class="col-sm-5 " > 
                                            <?php esc_html_e('Test Raffle Tickets Purchased', RAFFLE_PLAY_WOO_DOMAIN );?> 
                                        </div>
                                    
                                        <div class="col-sm-7" >                               
                                            <input type="number" id="test_tickets_purchased" readonly value="<?php echo $settings['test_tickets_purchased']; ?>" />
                                            <?php RafflePlayWoo_Includes::rpwoo_premium_image(); ?>
                                        </div>
                                    </div>

                                </div>
                                <!-- end of test -->

                            </div>
                        </div>
                    </div>

                   
                    <input type='submit' class="button button-primary rdp_save_settings" value="<?php esc_html_e('Save', RAFFLE_PLAY_WOO_DOMAIN );?>" />  
                  

            </div> <!-- /container-fluid -->
        </div> <!-- /wrap -->

      <?php  
    }